from enum import IntEnum


class ErrorType(IntEnum):
    ERROR_TYPE_NONE = 0x00
    ERROR_TYPE_TEMPORARY = 0x01
    ERROR_TYPE_PERMANENT = 0x02


class ErrorCode(IntEnum):
    E_VERIFICATION_FAILED_GENERAL = 0x10000101
    E_VERIFICATION_FAILED_SIGNATURE = 0x10000102
    E_VERIFICATION_FAILED_NBF_IAT = 0x10000103
    E_VERIFICATION_FAILED_EXPIRED = 0x10000104
    E_VERIFICATION_FAILED_AUDIENCE = 0x10000105
    E_VERIFICATION_FAILED_TAINTED_PAYLOAD = 0x10000106
    E_VERIFICATION_FAILED_PAYLOAD_FORMAT = 0x10000107


class PaymentStatus(IntEnum):
    STATUS_NEW = 1
    STATUS_OPENED = 2
    STATUS_PAID = 3
    STATUS_CANCELED = 4
    STATUS_CONFIRMED = 5
    STATUS_PENDING = 6
    STATUS_SCHEDULED = 7
    STATUS_CREDIT = 8
    STATUS_CHARGEBACK_INIT = 9
    STATUS_CHARGEBACK_ACCEPT = 10
    STATUS_ERROR = 11
    STATUS_DECLINED = 12
    STATUS_FRAUD = 13
    STATUS_PENDING_AUTH = 14
    STATUS_3D_AUTH = 15
    STATUS_CHARGEBACK_REPRESENTMENT = 16
    STATUS_REVERSED = 17
    STATUS_PENDING_ANY = 18
    STATUS_PROGRAMMED_RECURRENT_PAYMENT = 19
    STATUS_CANCELED_PROGRAMMED_RECURRENT_PAYMENT = 20
    STATUS_TRIAL_PENDING = 21
    STATUS_TRIAL = 22
    STATUS_EXPIRED = 23
